/*******************************************************************************
 * Copyright (c) 2009 Pafsanias Ftakas.
 *
 * This file is part of DistProc.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * DistProc is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Eclipse Public License v1.0 for more details.
 *
 * Contributors:
 *     Pafsanias Ftakas - initial API and implementation
 *******************************************************************************/
package com.koutra.dist.proc.util;

import javax.sql.DataSource;

public class DataSourceManager {
	private static final DataSourceManager singleton = new DataSourceManager();
	private static boolean initialized = false;
	
	public static synchronized DataSourceManager getInstance() {
		if (!initialized) {
			singleton.init();
			initialized = true;
		}
		return singleton;
	}
	
	private DataSourceManager() {
		// Intentionally empty
	}
	
	private void init() {
		// TODO initialize the data source manager.
	}
	
	public DataSource getDataSource(String name) {
		// TODO implement the data source manager lookup.
		return null;
	}
}
